Disable an agent the platform registered
POST
/v1/platform/agents/{client_id}/disable
const url = 'https://api.trybage.com/v1/platform/agents/example/disable';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"client_assertion":"eyJhbGciOiJFZERTQSIsInR5cCI6ImNsaWVudC1hc3NlcnRpb24rand0In0..."}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.trybage.com/v1/platform/agents/example/disable \ --header 'Content-Type: application/json' \ --data '{ "client_assertion": "eyJhbGciOiJFZERTQSIsInR5cCI6ImNsaWVudC1hc3NlcnRpb24rand0In0..." }'Its tokens are revoked at once.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”client_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
client_assertion
required
A one-time JWT signed with the agent’s private key (RFC 7523). See the description at the top.
string
Responses
Section titled “Responses”Disabled.